import { h } from '@stencil/core/internal/client';
import { k as textDanger } from './parts.js';

const FormControlErrorText = (props) => {
    const { errorText, name } = props;
    if (!errorText) {
        return null;
    }
    return (h("small", { class: 'form-text text-danger', id: `form-error-text-${name}`, part: textDanger }, errorText));
};

export { FormControlErrorText as F };
